#
# spec file for package ocaml-parmap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           ocaml-cmdliner
Version:        1.2.0
Release:        1.4
%{?ocaml_preserve_bytecode}
License:        ISC
Summary:        Declarative definition of command line interfaces for OCaml
Url:            https://github.com/dbuenzli/cmdliner
Group:          Development/Languages/OCaml
Source:         %name-%version.tar.xz
BuildRequires:  ocaml(ocaml_base_version) >= 4.08
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101

%description
Cmdliner is a module for the declarative definition of command line interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands and respects
most of the POSIX and GNU conventions.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version-%release

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='cmdliner'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Fri Jul  7 2023 ohering@suse.de
- Update to version 1.2.0
  See included CHANGES.md for details
* Mon Apr  4 2022 ohering@suse.de
- Update to version 1.1.1
  See included CHANGES.md for details
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 1.0.4
  Change the way Error (_, e) term evaluation results are formatted.
  Instead of treating e as text, treat it as formatted lines.
  Add Term.with_used_args
* Tue Apr 17 2018 andy@onthewings.net
- Update to upstream release 1.0.2.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Mon Jun 20 2016 ohering@suse.de
- Initial version 0.9.8.20160418.658dc61
